"use strict";

const dlayerSource = require("../../../packages/dlayer-source");

const types = require("../");

module.exports = function LVMPhysicalVolume ({ path }) { 
	return dlayerSource.withSources({
		$sources: {
			lvmPhysicalVolumes: {
				[dlayerSource.ID]: path,
				path: "path",
				format: "format",
				totalSpace: "totalSpace",
				freeSpace: "freeSpace",
				status: "status",
				isExported: "isExported",
				isMissing: "isMissing",
				volumeGroup: (volume) => types.LVMVolumeGroup({ name: volume.volumeGroup })
			}
		}
	});
};
